<script setup lang="ts">
import { useDessertStore } from "../../stores/desserts";
import MenuItemDialog from "./MenuDessertDialog.vue";
const menuDessert = useDessertStore();
const showDialog = () => {
  return (menuDessert.useDessertDialog = true);
};
</script>
<template>
  <v-container style="height: 539px; overflow-y: scroll; overflow-x: hidden">
    <v-row>
      <v-col
        v-for="item of menuDessert.desserts"
        :key="item.id"
        cols="12"
        md="6"
      >
        <v-card width="180" @click="showDialog">
          <v-img
            cover
            height="150"
            src="https://www.bloggang.com/data/i/imjai/picture/1553138104.jpg"
          ></v-img>
          <v-card-item>
            <v-card-title>
              <div style="text-align: center">{{ item.name }}</div>
              <div style="text-align: center">{{ item.price }} บาท</div>
            </v-card-title>
          </v-card-item>
        </v-card>
      </v-col>
    </v-row>
    <MenuItemDialog></MenuItemDialog>
  </v-container>
</template>
<style scoped>
/* width */
::-webkit-scrollbar {
  width: 4px;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #746c6c;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(218, 215, 215);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #e93f3f;
}
</style>
